package pop3Server;

import data.*;
import pop3Server.POP3ClientHandler;


public class AUTHORIZATIONState extends POP3State {

	
	private boolean userOk = false;
	
	public AUTHORIZATIONState(){
		
	}
	
	
	
	public String cmdUSER(POP3ClientHandler pop3CH, String cmdArgs) {
		String parser = "@";
		//User.userExists(cmdArgs);
		if(cmdArgs != null){
			if((userOk = User.userExists(cmdArgs)) == true){
				user = cmdArgs;
				domain = user;
				user.replace("<", "");
				user.replace(">", "");
				user = user.substring(0, user.indexOf(parser));
				return OK + " Mailbox is gevonden.";
			}
			else{
				
				userOk = false;
				return ERR + " Mailbox is niet gevonden.";
			}
		}
		else {
			return ERR + " Mailbox is niet gevonden.";
		}
	}
	
	public String cmdPASS(POP3ClientHandler pop3CH, String cmdArgs){
		if (userOk == true){
			
		
			if(User.checkCredentials(domain, cmdArgs) == true){
				//System.out.println("test voor de authenticatie");
				//transferState = true;
				pop3CH.setState(new TRANSACTIONState());
				return OK + " " + Message.getMessageStat(domain);
			}
			else{
				return ERR + " Onjuist wachtwoord.";
			}
		}
		else{
			return ERR + " Gebruik eerst het USER commando.";
		}
	}
	
	
	public String cmdQUIT(POP3ClientHandler pop3CH, String cmdArgs){
		return "QUIT";
	}
	
	public String cmdUIDL(POP3ClientHandler pop3CH, String cmdArgs){
		return ERR + " Ongeldig commando; geldige commando's: USER, PASS";
	}
	public String cmdTOP(POP3ClientHandler pop3CH, String cmdArgs){
		return ERR + " Ongeldig commando; geldige commando's: USER, PASS";
	}
	public String cmdRSET(POP3ClientHandler pop3CH){
		return ERR + " Ongeldig commando; geldige commando's: USER, PASS";
	}
	public String cmdNOOP(){
		return ERR + " Ongeldig commando; geldige commando's: USER, PASS";
	}
	public String cmdDELE(POP3ClientHandler pop3CH, String cmdArgs){
		return ERR + " Ongeldig commando; geldige commando's: USER, PASS";
	}
	public String cmdRETR(POP3ClientHandler pop3CH, String cmdArgs){
		return ERR + " Ongeldig commando; geldige commando's: USER, PASS";
	}
	public String cmdLIST(POP3ClientHandler pop3CH, String cmdArgs){
		return ERR + " Ongeldig commando; geldige commando's: USER, PASS";
	}
	public String cmdSTAT(POP3ClientHandler pop3CH, String cmdArgs, String host){
		return ERR + " Ongeldig commando; geldige commando's: USER, PASS";
	}
	
	
}
