package relayServer;

import data.Message;

/**
 * HELO state.
 * Vanuit de HELO state wordt getracht de afzender door te sturen.
 * Dit gebeurd met MAIL FROM:<mailadres>
 * 
 * @version 0.50
 */

public class HELOState extends RLYState {
	
	public void doNextCmd(RelayServer rs, Message msg) {
		String line;
		String parser = " ";

		rs.setOutput("MAIL FROM:"+msg.getFrom());
		line = rs.getInput();			
		line = line.substring(0, line.indexOf(parser));
		if (line.equals("250")){
			state = true;
			rs.setState(new MAILState());
		}
		else{
			state = false;
		}			
		
	}

}
