package smtpServer;

/**
 * DATA state.
 * In de DATA status wordt het bericht ontvangen en tevens word deze weggeschreven.
 * Het enige commando hier afgehandeld wordt is het afhandelen van de DATA status.
 * Hierna wordt er teruggekeerd naar de WAITStatus, voor evt. het volgende bericht.
 * 
 * @version 0.50
 */
public class DATAState extends SMTPState {

	public DATAState(){
		dataState = true;
	}
	
	public String cmdDATA(SMTPClientHandler smtpCH, String cmdArgs) {
		return null;
	}

	public String cmdEndData(SMTPClientHandler smtpCH, String cmdArgs) {
		msg.setData(msgData);
		msg.writeMessage();
		dataState = false;
		smtpCH.setState(new WAITState());
		return "250 OK Bericht verzonden.";
	}

	public String cmdHELO(SMTPClientHandler smtpCH, String cmdArgs, String host) {
		return null;
	}

	public String cmdMAIL(SMTPClientHandler smtpCH, String cmdArgs) {
		return null;
	}

	public String cmdRCPT(SMTPClientHandler smtpCH, String cmdArgs) {
		return null;
	}

}
