package smtpServer;

/**
 * HELO state.
 * Vanuit de HELO status, kan alleen de afzender bekend gemaakt worden.
 * Verder een kleine controle of het commando al is uitgevoerd.
 * 
 * @version 0.50
 */
public class HELOState extends SMTPState {

	public String cmdDATA(SMTPClientHandler smtpCH, String cmdArgs) {
		return REPLY_500;
	}

	public String cmdEndData(SMTPClientHandler smtpCH, String cmdArgs) {
		return REPLY_500;
	}

	public String cmdHELO(SMTPClientHandler smtpCH, String cmdArgs, String host) {
		return "503 HELO is reeds uitgevoerd.";
	}

	public String cmdMAIL(SMTPClientHandler smtpCH, String cmdArgs) {
		return doMail(smtpCH, cmdArgs);
	}

	public String cmdRCPT(SMTPClientHandler smtpCH, String cmdArgs) {
		return REPLY_500;
	}

}
