package relayServer;

import data.Message;

/**
 * MAIL state.
 * Vanuit de MAIL state wordt getracht de ontvanger door te geven.
 * Dit gebeurd met RCPT TO:<mailadres>
 * 
 * @version 0.50
 */
public class MAILState extends RLYState {

	public void doNextCmd(RelayServer rs, Message msg) {
		String line;
		String parser = " ";

		rs.setOutput("RCPT TO:"+msg.getTo());
		line = rs.getInput();			
		line = line.substring(0, line.indexOf(parser));
		if (line.equals("250")){
			state = true;
			rs.setState(new RCPTState());
		}
		else{
			state = false;
		}	
	}
}
