package relayServer;

import data.Message;

/**
 * RCPT state.
 * Vanuit de RCPT state wordt getracht de data modus te activeren.
 * Dit gebeurd met het commando DATA.
 * 
 * @version 0.50
 */

public class RCPTState extends RLYState {

	public void doNextCmd(RelayServer rs, Message msg) {
		String line;
		String parser = " ";

		rs.setOutput("DATA");
		line = rs.getInput();			
		line = line.substring(0, line.indexOf(parser));
		if (line.equals("354")){
			//354 == Bericht mag verstuurd worden.
			state = true;
			rs.setState(new DATAState());
		}
		else{
			state = false;
		}	
	}

}
